Skip to main content
DELETE
https://api.dintero.com/v1
/
accounts
/
{oid}
/
auth
/
client-grants
/
{id}
aid_auths_client_grants_id_delete
curl --request DELETE \
  --url https://api.dintero.com/v1/accounts/{oid}/auth/client-grants/{id} \
  --header 'Authorization: Bearer <token>'
{
  "client_id": "<string>",
  "audience": "https://api.dintero.com/v1/accounts/P00000000",
  "scope": [
    "receipts:write"
  ],
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
  "updated_at": "2023-11-07T05:31:56Z",
  "deleted_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
  "deleted_at": "2023-11-07T05:31:56Z",
  "type": "any",
  "oidc": {
    "client_id": "<string>",
    "client_secret": "<string>",
    "authority": "https://identityserver.example.com/access"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

oid
string<^[PT]{1}(?=(?:.{3}|.{8})$)[0-9]*$>
required

An id that uniquely identifies the account or owner (partner)

id
string
required

The id of the client grant to delete

Response

Grant deleted

client_id
string
required
audience
string
required
Example:

"https://api.dintero.com/v1/accounts/P00000000"

scope
string[]
required
id
string<uuid>
read-only

An UUID that uniquely identifies the resource

created_at
string<date-time>
read-only

The date-time when the resource was created

created_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

updated_at
string<date-time>
read-only

The date-time when the resource was last updated

deleted_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

deleted_at
string<date-time>
read-only
type
enum<string>
default:any

Limit the usage of the grant. A grant with grant_types set to only authorization_code cannot be used in Get Token when calling the endpoint with grant_type=client_credentials

Available options:
any,
authorization_code,
client_credentials,
password
oidc
object

Open ID connect configuration for the Grant. The option enables client to verify the identify of the End-User based on the authentication performed by an authorization server

The grant type must be set to authorization_code when configured.

Last modified on May 12, 2026